<?php
#############################################################################
   ### Запрещено деобфусскация файла это нарушение авторскиъ прав и не уважение
   ### к чужому турду, уважайте труд автора т.к вам предоставляется скрипт 
   ### совершенно бесплатно. development by CoMMoN ICQ#:968704 email:common86@mail.ru
#############################################################################
#################################################
$fun_scan       = @opendir(ROOT.'/kernel/_function');
### Сканируем папку функции
### и вытаскиваем от туда все что есть
### для дополнительной работы
if($fun_scan){
while ($fun_file = readdir ( $fun_scan)){
if (( $fun_file != ".") && ($fun_file != "..")){
if(is_file(ROOT.'/kernel/_function/'.$fun_file)){
include ROOT.'/kernel/_function/'.$fun_file;
}
}
}
closedir ($fun_scan);} // 
############################################################################################################
//
 



function license($key_x){
$str = md5($_SERVER['HTTP_HOST']);
$str_arr = str_split($str);
$delimeter = ceil(count($str_arr)/4);
$key_fpt = "";
$count = 0;
for($i = 0; $i < count($str_arr); $i++)
{
    $key_fpt .= $str_arr[$i];
    $count++;
    if($count == $delimeter && $i != count($str_arr) - 1)
    {
        $key_fpt .= "-";
        $count = 0;
    }
}
$fptkey = $key_fpt;
//echo $fptkey.'<br/>'.$key_fpt;


if($str == $fptkey){
echo'';
}else{
echo'<center><a href="http://fportal.tk">FPORTAL</a></center>';
}

}

############################################################################################################
$class_scan       = @opendir(ROOT.'/kernel/_class');
### Сканируем папку функции
### и вытаскиваем от туда все что есть
### для дополнительной работы
if($class_scan){
while ($class_file = readdir ( $class_scan)){
if (( $class_file != ".") && ($class_file != "..")){
include ROOT.'/kernel/_class/'.$class_file;
}
}
closedir ($class_scan);} // 

?>